Bug 250480 - Installation of sysutils/puppet6 fails
Summary: Installation of sysutils/puppet6 fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Puppet Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-20 08:32 UTC by moritz.kraus
Modified: 2020-10-23 18:47 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (puppet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description moritz.kraus 2020-10-20 08:32:14 UTC
Installation of "portmaster sysutils/puppet6" fails with message:
"No such file or directory -- concurrent"


Workaround:

install the missing gem before going for puppet

"portmaster devel/rubygem-concurrent-ruby"
Comment 1 moritz.kraus 2020-10-20 09:55:01 UTC
output of portmaster sysutils/puppet6:

install  -m 0644 /usr/ports/sysutils/puppet6/work/puppet-6.18.0/conf/auth.conf /usr/ports/sysutils/puppet6/work/stage/usr/local/etc/puppet/auth.conf-dist
/usr/bin/env LC_ALL=C.UTF-8 /usr/local/bin/ruby26 -I /usr/ports/sysutils/puppet6/work/stage//usr/local/lib/ruby/site_ruby/2.6 /usr/ports/sysutils/puppet6/work/stage/usr/local/bin/puppet agent --genconfig  --confdir=/usr/local/etc/puppet  --rundir=/var/run/puppet  --vardir=/var/puppet  --logdir=/var/log/puppet  --codedir=/usr/local/etc/puppet  > /usr/ports/sysutils/puppet6/work/stage/usr/local/etc/puppet/puppet.conf-dist
cannot load such file -- concurrent
*** Error code 1
Comment 2 Romain Tartière freebsd_committer 2020-10-20 23:50:15 UTC
Hum, concurrent is listed as a RUN_DEPEND: https://svnweb.freebsd.org/ports/head/sysutils/puppet6/Makefile?revision=547211&view=markup#l20

poudriere seems to install the run dependencies before staging, maybe portmaster does not?

Does adding rubygem-concurrent-ruby to BUILD_DEPENDS help here?
Comment 3 moritz.kraus 2020-10-21 11:31:18 UTC
Yes, adding it do BUILD_DEPENDS works for me.
Comment 4 Romain Tartière freebsd_committer 2020-10-21 18:55:41 UTC
(In reply to moritz.kraus from comment #3)
Thank you for the quick feedback, I'll add it as a BUILD_DEPEND.

I'll commit this soon™ with the Puppet update to 6.19 I am working on ATM.

Thanks!
Comment 5 commit-hook freebsd_committer 2020-10-23 18:43:01 UTC
A commit references this bug:

Author: romain
Date: Fri Oct 23 18:42:03 UTC 2020
New revision: 553126
URL: https://svnweb.freebsd.org/changeset/ports/553126

Log:
  Update to 6.19.1

  Release notes:
  https://puppet.com/docs/puppet/6.19/release_notes_puppet.html#release_notes_puppet_x-19-0

  While here, add devel/rubygem-concurrent-ruby as a build dependency to fix
  build with portmaster [1].

  With hat:	puppet
  PR:		250480 [1]
  Reported by:	moritz.kraus@makandra.de [1]

Changes:
  head/sysutils/puppet6/Makefile
  head/sysutils/puppet6/distinfo
Comment 6 Romain Tartière freebsd_committer 2020-10-23 18:47:16 UTC
Fix committed, thanks!